%global momorel 2

Name:           perl-XML-RSS-LibXML
Version:        0.3100
Release:        %{momorel}m%{?dist}
Summary:        XML::RSS with XML::LibXML
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-RSS-LibXML/
Source0:        http://www.cpan.org/authors/id/D/DM/DMAKI/XML-RSS-LibXML-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Class-Accessor
BuildRequires:  perl-DateTime-Format-Mail
BuildRequires:  perl-DateTime-Format-W3CDTF
BuildRequires:  perl-Encode
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-UNIVERSAL-require
BuildRequires:  perl-XML-LibXML >= 1.66
Requires:       perl-Class-Accessor
Requires:       perl-DateTime-Format-Mail
Requires:       perl-DateTime-Format-W3CDTF
Requires:       perl-Encode
Requires:       perl-UNIVERSAL-require
Requires:       perl-XML-LibXML >= 1.66
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
XML::RSS::LibXML uses XML::LibXML (libxml2) for parsing RSS instead of
XML::RSS' XML::Parser (expat), while trying to keep interface compatibility
with XML::RSS.

%prep
%setup -q -n XML-RSS-LibXML-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/XML/RSS/LibXML
%{perl_vendorlib}/XML/RSS/LibXML.pm
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3100-2m)
- full rebuild for mo7 release

* Tue Jun 22 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3100-1m)
- update to 0.3100

* Thu Jun 03 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3005-1m)
- update to 0.3005
- Specfile re-generated by cpanspec 1.78.

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3004-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3004-4m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3004-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3004-2m)
- rebuild against perl-5.10.1

* Wed Feb 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3004-1m)
- update to 0.3004

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3003-2m)
- rebuild against rpm-4.6

* Sat Nov 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3003-1m)
- update to 0.3003

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3002-2m)
- rebuild against gcc43

* Mon Oct  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3002-1m)
- update to 0.3002

* Mon Sep 24 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.3001-2m)
- change the version number of required perl-XML-LibXML module

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3001-1m)
- upadate to 0.3001

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.23-2m)
- use vendor

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.23-1m)
- spec file was autogenerated
